Skip to main content
GET
/
api
/
v1
/
messages
/
{message_id}
Get Message
curl --request GET \
  --url https://api.example.com/api/v1/messages/{message_id}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "phone_number": "<string>",
  "content": "<string>",
  "status": "<string>",
  "direction": "<string>",
  "retry_count": 123,
  "whatsapp_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "chat_type": "individual",
  "group_jid": "<string>",
  "group_name": "<string>",
  "message_type": "text",
  "media_type": "<string>",
  "media_url": "<string>",
  "failure_reason": "<string>",
  "whatsapp_message_id": "<string>",
  "variable_values": {},
  "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "contact_name": "<string>",
  "campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "scheduled_for": "2023-11-07T05:31:56Z",
  "queued_at": "2023-11-07T05:31:56Z",
  "sent_at": "2023-11-07T05:31:56Z",
  "delivered_at": "2023-11-07T05:31:56Z",
  "read_at": "2023-11-07T05:31:56Z",
  "failed_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.wazzapi.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string | null

Path Parameters

message_id
string<uuid>
required

Response

Successful Response

Full message response with timeline.

id
string<uuid>
required
phone_number
string
required
content
string
required
status
string
required
direction
string
required
retry_count
integer
required
whatsapp_account_id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
chat_type
string
default:individual
group_jid
string | null
group_name
string | null
message_type
string
default:text
media_type
string | null
media_url
string | null
failure_reason
string | null
whatsapp_message_id
string | null
variable_values
Variable Values · object
contact_id
string<uuid> | null
contact_name
string | null
campaign_id
string<uuid> | null
batch_id
string<uuid> | null
scheduled_for
string<date-time> | null
queued_at
string<date-time> | null
sent_at
string<date-time> | null
delivered_at
string<date-time> | null
read_at
string<date-time> | null
failed_at
string<date-time> | null